import java.util.Scanner;

public class LIS2 {

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int N = in.nextInt(); //jada pikkus
        int[] jada = new int[N];
        for (int i = 0; i < N; i++) {
            jada[i] = in.nextInt(); //jada elemendid
        }

        System.out.println(LeiaPikimPikkus(6, jada));
    }

    static int LeiaPikimPikkus(int N, int[] jada) {
        int[] pikkused = new int[N];
        for (int i = 0; i < N; i++) {
            pikkused[i] = 1;
        }

        int vastus = 0;
        for (int i = 0; i < N; i++) {
            vastus = Math.max(vastus, pikkused[i]);
            for (int j = i + 1; j < N; j++) {
                if (jada[j] > jada[i]) {
                    pikkused[j] = Math.max(pikkused[j], pikkused[i] + 1);
                }
            }
        }
        return vastus;
    }
}
