import java.util.Scanner;

public class Mortimer {

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int La = in.nextInt(); //esimese lastekodu laste arv
        int Ka = in.nextInt(); //esimese lastekodu korvi suurus
        int Lb = in.nextInt(); //teise lastekodu laste arv
        int Kb = in.nextInt(); //teise lastekodu korvi suurus
        int Lc = in.nextInt(); //kolmanda lastekodu laste arv
        int Kc = in.nextInt(); //kolmanda lastekodu korvi suurus
        int N = in.nextInt(); //kinkide arv
        int[] kingid = new int[N];
        for(int i = 0; i < N; i++) {
            kingid[i] = in.nextInt(); //kinkide vrtused
        }

	    kingid(La, Lb, Lc, Ka, Kb, Kc, N, kingid);
    }

    static int kingid(int La, int Lb, int Lc, int Ka, int Kb, int Kc, int N, int[] kingid)
    {
        double[][][][] kv = new double[La + 1][Lb + 1][Lc + 1][3];

        int lapsiKokku = La + Lb + Lc;

        for (int al = lapsiKokku - N; al <= lapsiKokku; al++){
            int m1 = Math.min(La, al);
            for (int i = 0; i <= m1; i++){
                int m2 = Math.min(Lb, al - i);
                for (int j = 0; j <= m2; j++){
                    if (al - i - j <= Lc){
                        int k = al - i - j;
                        kv[i][j][k][0] = 0;
                        kv[i][j][k][1] = 0;
                        kv[i][j][k][2] = 0;
                        if (al == lapsiKokku - N){
                            continue;
                        }
                        double p1 = i * Ka;
                        double p2 = j * Kb;
                        double p3 = k * Kc;
                        double kp = p1 + p2 + p3;
                        double t1 = p1 / kp;
                        double t2 = p2 / kp;
                        double t3 = p3 / kp;
                        int jk = kingid[lapsiKokku - al];
                        if (i != 0) {
                            kv[i][j][k][0] += t1 * (jk + kv[i - 1][j][k][0]);
                            kv[i][j][k][1] += t1 * kv[i - 1][j][k][1];
                            kv[i][j][k][2] += t1 * kv[i - 1][j][k][2];
                        }
                        if (j != 0){
                            kv[i][j][k][0] += t2 * kv[i][j - 1][k][0];
                            kv[i][j][k][1] += t2 * (jk + kv[i][j - 1][k][1]);
                            kv[i][j][k][2] += t2 * kv[i][j - 1][k][2];
                        }
                        if (k != 0){
                            kv[i][j][k][0] += t3 * kv[i][j][k - 1][0];
                            kv[i][j][k][1] += t3 * kv[i][j][k - 1][1];
                            kv[i][j][k][2] += t3 * (jk + kv[i][j][k - 1][2]);
                        }
                    }
                }
            }
        }

        System.out.printf("%f\n", kv[La][Lb][Lc][0]);
        System.out.printf("%f\n", kv[La][Lb][Lc][1]);
        System.out.printf("%f\n", kv[La][Lb][Lc][2]);
        return 0;
    }
}
